complexType "CancelTradeCashflows"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 13 elements
Defined: | globally in fpml-reconciliation-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "2"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber??)?, onBehalfOf[0..4]?, tradeCashflowsId?, (tradeIdentifyingItems?, adjustedPaymentDate?, payment*)?, matchId?, party*, account*
</...>

Content Model Elements (13):

  account,
  adjustedPaymentDate (defined in TradeCashflows.model group),
  correlationId,
  header (defined in NotificationMessage complexType),
  matchId (in cancelTradeCashflows),
  onBehalfOf (defined in OnBehalfOf.model group),
  parentCorrelationId,
  party (defined in PartiesAndAccounts.model group),
  payment (defined in TradeCashflows.model group),
  sequenceNumber (defined in Sequence.model group),
  tradeCashflowsId (defined in IdAndTradeCashflows.model group),
  tradeIdentifyingItems (defined in TradeCashflows.model group),
  validation

All Direct / Indirect Based Elements (1):

  cancelTradeCashflows

Known Usage Locations

- As direct type of elements (1):
  cancelTradeCashflows

Annotation
Message for cancellation of payments to be reconciled. A message sent to indicate that previously asserted TradeCashFlows are no longer in effect. For example, this may be caused by a trade's being terminated or assigned after a TradeCashflowsAsserted message has been sent but before the payment date.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage (extension) CancelTradeCashflows

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CancelTradeCashflows"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:group ref="IdAndTradeCashflows.model"/> <xsd:element minOccurs="0" name="matchId" type="MatchId"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/13)
matchId

  Type: | MatchId, simple content

  A unique identifier assigned by matching service to each set of matched cashflows.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="matchId" type="MatchId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.